;
; IDL Event Callback Procedures
; MSP_ZHT_GUI_eventcb
;
; Generated on:	01/01/2010 11:12.53
;


;
; Empty stub procedure used for autoloading.
;
pro MSP_ZHT_GUI_eventcb
end
;
pro MSP_ZHT_PostCreation, wWidget, _EXTRA=_VWBExtra_
	;
	version_short_string = 'v1.0.0 20100101 DPC'
	version_string = 'MSP_ZHT (Mimir Software Programs - Zero Hop Tester) '+version_short_string
	;
	;	set up and clear summary structure
	;
	main_struct = {		version_string: version_string, 	$	for window title
						version_short_string: version_short_string,	$	for inclusion on data files

						last_dir:				'',			$   last data directory accessed
						files_in:		strarr(500),		$
						n_files_in:				0L,			$
						;
						draw_wid:		lonarr(10), 		$
						text_wid:		lonarr(10),			$
						;
					  }
	;
	PTR_main = PTR_NEW(main_struct,/NO_COPY)
    ;
    ;	load the pointer(s) into the pointer structure
    ;
    PTR_struct = {PTR_main: PTR_main}
    ;
    WIDGET_CONTROL, wWidget, SET_UVALUE=PTR_struct
end

;-----------------------------------------------------------------
pro Exit_Button_Press, Event
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	m_ptr = PTR_struct.PTR_main
	;
	;free the pointers
	;
	PTR_FREE, m_ptr
	;
	WIDGET_CONTROL, Event.top, /DESTROY
end
;
;-----------------------------------------------------------------
pro MSP_ZHT_Realize, wWidget
	WIDGET_CONTROL, wWidget, GET_UVALUE=PTR_struct
	;
	;	load all the widget IDs
	;
	;	need to pass an event structure:
	;
	event = {top: wWidget}
	get_wids, event
	;
	;	reread the pointer structure to get updated wids
	;
	WIDGET_CONTROL, wWidget, GET_UVALUE=PTR_struct
	m_ptr = PTR_struct.PTR_main
	;
	TLB_Title = (*m_ptr).version_string
    tlb_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME='MSP_ZHT_Base_0')
    WIDGET_CONTROL, tlb_wid, TLB_SET_TITLE=TLB_Title
	;
	print_text, event, "Mimir Software Package: Zero Hop Test Package - Initialized!"
	;
end
;------------------------------------------------------
pro Page_0_Handler, Event


end