pro Select_Originals, Event, opt
	;
	;	opt = 0 - don't replace images on list those in subdirectory
	;	opt = 1 - do replace images with those on subdirectory list
	;
	;	in either case, process images afterwards
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	m_ptr = PTR_struct.PTR_main
	;
	nfiles = (*m_ptr).n_files_in
	files_in = (*m_ptr).files_in[0:nfiles-1]
	;
	;	if opt = 0, then just process and return
	;
	if(opt eq 1) then begin
		;
		;	turn off other button
		;
		WIDGET_CONTROL, (*m_ptr).button_wid[3], SENSITIVE=0
		;
		;	otherwise, recover images in subdirectory in favor of those
		;	on first list
		;
		if((*m_ptr).sub_flag ne 1) then begin
			zprint_text, Event, "ERROR - cannot combine lists. sub_flag ne 1"
			goto, the_end
		endif
		;
		n_sub_files = (*m_ptr).n_sub_files
		sub_files = (*m_ptr).sub_files[0:n_sub_files-1]
		;
		;	refind the matches and replace
		;
		nall_match = 0
		for i_in = 0, nfiles-1 do begin
			ind_this = WHERE(FILE_BASENAME(files_in[i_in]) eq FILE_BASENAME(sub_files),nmatch)
			if(nmatch gt 0) then begin
				;
				;	replace
				;
				files_in[i_in] = sub_files[ind_this[0]]
				nall_match++
			endif
		endfor
		;
		;	write into saved array
		;
		(*m_ptr).files_in[0:nfiles-1] = files_in[0:nfiles-1]
		;
		zprint_text, Event, "Finished replacing "+STRING(nall_match)+" files on list"
	endif else begin
		WIDGET_CONTROL, (*m_ptr).button_wid[4], SENSITIVE=0
	endelse
	;
	;	process the images
	;
	process_images, Event
	;
	the_end:
	;
end


